com.creamtec.ajaxswing.gui

## Class AjaxSwingRepaintManager

- java.lang.Object
- - javax.swing.RepaintManager
  - - com.creamtec.ajaxswing.gui.AjaxSwingRepaintManager

-     public class AjaxSwingRepaintManager
      extends javax.swing.RepaintManager

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxSwingRepaintManager(ClientAgent agent)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDirtyRegion(javax.swing.JComponent c, int x, int y, int w, int h)`
    `void` | `addInvalidComponent(javax.swing.JComponent invalidComponent)`
    `ClientAgent` | `getAgent()`
    `java.awt.Rectangle` | `getDirtyRegion(javax.swing.JComponent component)`
    `javax.swing.JComponent[]` | `getInvalidatedComponents()`
    `boolean` | `isCompletelyDirty(javax.swing.JComponent component)`
    `boolean` | `isDoubleBufferingEnabled()`
    `void` | `markCompletelyClean(javax.swing.JComponent component)`
    `void` | `markCompletelyDirty(javax.swing.JComponent component)`
    `void` | `paintDirtyRegions()`
    `void` | `removeInvalidComponent(javax.swing.JComponent component)`
    `void` | `shutdown()`
    `void` | `validateInvalidComponents()`

    - ### Methods inherited from class javax.swing.RepaintManager

      `addDirtyRegion, addDirtyRegion, currentManager, currentManager, getDoubleBufferMaximumSize, getOffscreenBuffer, getVolatileOffscreenBuffer, setCurrentManager, setDoubleBufferingEnabled, setDoubleBufferMaximumSize, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AjaxSwingRepaintManager

          public AjaxSwingRepaintManager(ClientAgent agent)

  - ### Method Detail

    - #### getAgent

          public ClientAgent getAgent()

    - #### shutdown

          public void shutdown()

    - #### addDirtyRegion

          public void addDirtyRegion(javax.swing.JComponent c,
                            int x,
                            int y,
                            int w,
                            int h)

      Overrides:
        `addDirtyRegion` in class `javax.swing.RepaintManager`

    - #### getInvalidatedComponents

          public javax.swing.JComponent[] getInvalidatedComponents()

    - #### addInvalidComponent

          public void addInvalidComponent(javax.swing.JComponent invalidComponent)

      Overrides:
        `addInvalidComponent` in class `javax.swing.RepaintManager`

    - #### getDirtyRegion

          public java.awt.Rectangle getDirtyRegion(javax.swing.JComponent component)

      Overrides:
        `getDirtyRegion` in class `javax.swing.RepaintManager`

    - #### isCompletelyDirty

          public boolean isCompletelyDirty(javax.swing.JComponent component)

      Overrides:
        `isCompletelyDirty` in class `javax.swing.RepaintManager`

    - #### isDoubleBufferingEnabled

          public boolean isDoubleBufferingEnabled()

      Overrides:
        `isDoubleBufferingEnabled` in class `javax.swing.RepaintManager`

    - #### markCompletelyClean

          public void markCompletelyClean(javax.swing.JComponent component)

      Overrides:
        `markCompletelyClean` in class `javax.swing.RepaintManager`

    - #### markCompletelyDirty

          public void markCompletelyDirty(javax.swing.JComponent component)

      Overrides:
        `markCompletelyDirty` in class `javax.swing.RepaintManager`

    - #### paintDirtyRegions

          public void paintDirtyRegions()

      Overrides:
        `paintDirtyRegions` in class `javax.swing.RepaintManager`

    - #### removeInvalidComponent

          public void removeInvalidComponent(javax.swing.JComponent component)

      Overrides:
        `removeInvalidComponent` in class `javax.swing.RepaintManager`

    - #### validateInvalidComponents

          public void validateInvalidComponents()

      Overrides:
        `validateInvalidComponents` in class `javax.swing.RepaintManager`

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.